libgupnp (2.15) unstable; urgency=low

  * Removed gnome_vfs_file_info_clear() call. Fixes: NB#82411

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 14 Mar 2008 11:09:08 +0200

libgupnp (2.14) unstable; urgency=low

  * Use tell() in http_method for HTTP URLs. Fixes: NB#80853

 -- Aapo Makela <aapo.makela@nokia.com>  Tue, 19 Feb 2008 15:20:18 +0200

libgupnp (2.13) unstable; urgency=low

  * Clear file info in upnpav_determine_fileinfo(). Fixes: NB#79147

 -- Aapo Makela <aapo.makela@nokia.com>  Tue,  5 Feb 2008 10:47:43 +0200

libgupnp (2.12) unstable; urgency=low

  * Fixed to compile with GCC 4.x toolchain.
  * Fixed few lintian warnings.

 -- Aapo Makela <aapo.makela@nokia.com>  Thu,  3 Jan 2008 16:10:48 +0200

libgupnp (2.11) unstable; urgency=low

  * Set invalidated nodes to NULL. Fixes: NB#74268

 -- Aapo Makela <aapo.makela@nokia.com>  Fri,  2 Nov 2007 15:44:50 +0200

libgupnp (2.10) unstable; urgency=low

  * "MIME detection failure" is a debug message. Fixes: NB#70904

 -- Aapo Makela <aapo.makela@nokia.com>  Tue, 25 Sep 2007 14:53:36 +0300

libgupnp (2.9) unstable; urgency=low

  * Added some sanity checks.

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 29 Jun 2007 09:32:38 +0300

libgupnp (2.8) unstable; urgency=low

  * Ignore URLs having non-HTTP scheme. Fixes: NB#40938

 -- Aapo Makela <aapo.makela@nokia.com>  Wed,  6 Jun 2007 14:38:17 +0300

libgupnp (2.7) unstable; urgency=low

  * Add audio/mpegurl to file extension guesser.
  * Check hostnames for NULL. Fixes: NB#55985

 -- Aapo Makela <aapo.makela@nokia.com>  Fri,  4 May 2007 13:38:14 +0300

libgupnp (2.6) unstable; urgency=low

  * Use workaround when reading from buggy N95. Fixes: NB#54187

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 27 Apr 2007 14:21:32 +0300

libgupnp (2.5) unstable; urgency=low

  * Improved logging.
  * Resolve HTTP file info only for file size.

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 27 Apr 2007 11:09:14 +0300

libgupnp (2.4) unstable; urgency=low

  * Global flag to define, if HTTP file info should be used.
  * Remove con_ic_connection_disconnect(). Fixes: NB#54714

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 20 Apr 2007 10:49:28 +0300

libgupnp (2.3) unstable; urgency=low

  * Use static mutexes. Fixes: NB#53990

 -- Aapo Makela <aapo.makela@nokia.com>  Wed, 11 Apr 2007 12:41:43 +0300

libgupnp (2.2) unstable; urgency=low

  * Fixed libgupnp-test package.
  * Fixed GLIB critical when uninitializing upnpav module.
  * Increase IOP and guess extension based on few common MIME types.
  * Fixed SEARCH_WAIT
  * Destroy control point in idle func. Eliminates possible deadlock.
    Fixes: NB#53712

 -- Aapo Makela <aapo.makela@nokia.com>  Tue,  3 Apr 2007 11:56:49 +0300

libgupnp (2.1) unstable; urgency=low

  * Hildon consolidation changes.
  * Removed unused dependencies.
  * Fixed upnpav scheme to work like file scheme. Fixes: NB#50827

 -- Aapo Makela <aapo.makela@nokia.com>  Fri,  9 Mar 2007 13:03:04 +0200

libgupnp (2.0) unstable; urgency=low

  * Escape paths properly, when eventing. Fixes: NB#49560
  * Added checks for "HTTP file info URLs" and added blacklist for
    broken/slowly responding hosts. Fixes: NB#43047
  * Fixed a crash with some URLs in upnpav_monitor_add().
    Fixes: NB#49818
  * Added generation of a debug package. Fixes: NB#49869

 -- Aapo Makela <aapo.makela@nokia.com>  Mon, 18 Dec 2006 13:48:26 +0200

libgupnp (1.22) unstable; urgency=low

  * More robust mime typing. Fixes: NB#44016

 -- Aapo Makela <aapo.makela@nokia.com>  Thu, 14 Dec 2006 08:25:31 +0200

libgupnp (1.21) unstable; urgency=low

  * Start controlpoint in init only if proper interface exists. 
    Fixes: NB#43047 
  * Things may change when tree_mutex is unlocked. Fixes: NB#46322
  * Return errors, if missing metadata is not found. Fixes: NB#46751

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 24 Nov 2006 08:37:47 +0200

libgupnp (1.20) unstable; urgency=low

  * Fixed end of directory check. Fixes: NB#44947 

 -- Aapo Makela <aapo.makela@nokia.com>  Wed, 25 Oct 2006 11:00:26 +0300

libgupnp (1.19) unstable; urgency=low

  * Perform M-SEARCH when the specified file is not found. Fixes: NB#41215
  * Added NULL check before deleting XML nodelist. Fixes: NB#40990

 -- Aapo Makela <aapo.makela@nokia.com>  Wed, 27 Sep 2006 13:25:52 +0300

libgupnp (1.18) unstable; urgency=low

  * Destroy CP when unsupported bearer is connected. Fixes: NB#40605
  * Modified logic in iap_listener. Fixes: #NB40171

 -- Aapo Makela <aapo.makela@nokia.com>  Wed, 20 Sep 2006 11:52:35 +0300

libgupnp (1.17) unstable; urgency=low

  * Restructured code. Added essential error and debug output.

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 15 Sep 2006 13:19:31 +0300

libgupnp (1.16) unstable; urgency=low

  * Made event handling more simple (robust).
  * Fixed SSDP search completion wait.
  * Copyright cleanup

 -- Aapo Makela <aapo.makela@nokia.com>  Mon, 11 Sep 2006 18:46:05 +0300

libgupnp (1.15) unstable; urgency=low

  * Removed some unnecessary words. Fixes: #NB39113
  * Advanced MIME type resolution for resources.

 -- Aapo Makela <aapo.makela@nokia.com>  Thu,  7 Sep 2006 15:38:55 +0300

libgupnp (1.14) unstable; urgency=low

  * Ignore media items with empty names. Fixes: #NB38627
  * Do not subscribe to service until 1st browsing. Fixes. #NB38746
  * Use HTTP method directly for HTTP access. Fixes: #NB38983

 -- Aapo Makela <aapo.makela@nokia.com>  Wed,  6 Sep 2006 10:13:28 +0300

libgupnp (1.13) unstable; urgency=low

  * Changed header comments. Fixes: #NB39113
  * Updated to use the latest clinkc-av
  * Robustness fixes and changed to M-Search rootdevices. Fixes: #NB39043
  * Sanity check when reading file/dir. Fixes: #NB38983    	

 -- Aapo Makela <aapo.makela@nokia.com>  Fri,  1 Sep 2006 07:35:23 +0300

libgupnp (1.12) unstable; urgency=low

  * No eventing for root dir, if active dir handles exist. Moved 
    M-SEARCH to another place. Fixes: #NB38663

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 25 Aug 2006 10:55:54 +0300

libgupnp (1.11) unstable; urgency=low

  * Added additional checks to event listener. Fixes: #NB37251
  * Modified file name resolution logic. Fixes: #NB35886
  * Resolve file metadata with HTTP HEAD, if not provided by the server. 
    Fixes: #NB37389, #NB37267

 -- Aapo Makela <aapo.makela@nokia.com>  Thu, 10 Aug 2006 09:38:31 +0300

libgupnp (1.10) unstable; urgency=low

  * Added ContainerUpdateID support.

 -- Aapo Makela <aapo.makela@nokia.com>  Thu,  3 Aug 2006 17:36:45 +0300

libgupnp (1.9) unstable; urgency=low

  * Workaround to increase robustness: start another M-SEARCH after 4 
    seconds. Fixes: #NB35524

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 28 Jul 2006 10:52:14 +0300

libgupnp (1.8) unstable; urgency=low

  * Fixed NULL check for the date. Fixes: #NB34386

 -- Aapo Makela <aapo.makela@nokia.com>  Tue, 25 Jul 2006 10:07:27 +0300

libgupnp (1.7) unstable; urgency=low

  * Fixed copyrights, disabled symlink modelling of media server files.
  * Retrieve file modification time from servers. Fixes: #NB33350
  * Added seek and tell operations. Fixes: #NB33362
  * Disabled symlinking scheme. Fixes: #NB33464, #NB33351, #NB33319, #NB33326

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 30 Jun 2006 08:14:24 +0300

libgupnp (1.6) unstable; urgency=low

  * Added some copyright texts

 -- Aapo Makela <aapo.makela@nokia.com>  Mon, 19 Jun 2006 14:33:01 +0300

libgupnp (1.5) unstable; urgency=low

  * Removed lots of unnecessaru stuff from source package.

 -- Aapo Makela <aapo.makela@nokia.com>  Tue,  6 Jun 2006 07:46:09 +0300

libgupnp (1.4) unstable; urgency=low

  * Fixed to follow links before setting own info.
  * Fixed to remove monitors after removing nodes (in shutdown)
  * Fixed to return right number of browsed items (in special cases).

 -- Aapo Makela <aapo.makela@nokia.com>  Mon, 22 May 2006 16:02:51 +0300

libgupnp (1.3) unstable; urgency=low

  * Robustness bugsfixes.

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 12 May 2006 12:46:14 +0300

libgupnp (1.2) unstable; urgency=low

  * Modified to start control point at start (fixes #NB28520)

 -- Aapo Makela <aapo.makela@nokia.com>  Fri,  5 May 2006 12:42:27 +0300

libgupnp (1.1-3) unstable; urgency=low

  * Removed unnecessary IC connect call.
  * Fixed bearer handling in IAP listener.

 -- Aapo Makela <aapo.makela@nokia.com>  Fri,  5 May 2006 07:48:44 +0300

libgupnp (1.1-2) unstable; urgency=low

  * Updated to use the libconic library.

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 24 Mar 2006 09:33:24 +0200

libgupnp (1.1-1) unstable; urgency=low

  * Fixes Debian dependencies.

 -- Aapo Makela <aapo.makela@nokia.com>  Mon, 20 Mar 2006 07:47:41 +0200

libgupnp (1.1-0) unstable; urgency=low

  * Many bugfixes. Initial integration release.

 -- Aapo Makela <aapo.makela@nokia.com>  Tue,  7 Mar 2006 13:54:28 +0200

libgupnp (1.0-4) unstable; urgency=low

  * Added cancellation support to gnomevfs-plugin
  * Documented and cleaned up the code.

 -- Aapo Makela <aapo.makela@nokia.com>  Mon,  6 Feb 2006 11:46:32 +0200

libgupnp (1.0-3) unstable; urgency=low

  * Modified gnomevfs-plugin to use devicelistener instead of ssdplistener
  * Fixed to compile with "--with-maemo" configure flag

 -- Aapo Makela <aapo.makela@nokia.com>  Fri,  3 Feb 2006 10:15:50 +0200

libgupnp (1.0-2) unstable; urgency=low

  * Fixed not to build anything other than gnomevfs-plugin
  * Modified to be compatible with new clinkc API. 

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 13 Jan 2006 11:11:53 +0200

libgupnp (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Aapo Makela <aapo.makela@nokia.com>  Wed, 14 Dec 2005 10:54:06 +0300

